from flask_wtf import FlaskForm
from wtforms import BooleanField, StringField, SubmitField, SelectField
from wtforms.validators import DataRequired, Length


class PJQueryForm(FlaskForm):
    query = StringField('Query',
                        validators=[DataRequired(), Length(1, 1024)])
    submit = SubmitField('Send query')


class PJDisplayOptionsForm(FlaskForm):
    expert_mode = BooleanField('Expert mode')
    result_context = SelectField('Result context',
                                 choices=[('', 'Choose your option'),
                                          ('10', '10'),
                                          ('20', '20'),
                                          ('30', '30'),
                                          ('40', '40'),
                                          ('50', '50'),
                                          ('60', '60'),
                                          ('70', '70'),
                                          ('80', '80'),
                                          ('90', '90'),
                                          ('100', '100')])
    results_per_page = SelectField('Results per page',
                                   choices=[('', 'Choose your option'),
                                            ('10', '10'),
                                            ('20', '20'),
                                            ('30', '30'),
                                            ('40', '40'),
                                            ('50', '50'),
                                            ('60', '60'),
                                            ('70', '70'),
                                            ('80', '80'),
                                            ('90', '90'),
                                            ('100', '100')])


class QueryDownloadForm(FlaskForm):
    file_type = SelectField('File type',
                            choices=[('', 'Choose file type'),
                                     ('csv', 'csv'),
                                     ('json', 'json'),
                                     ('excel', 'excel'),
                                     ('html', 'html-table')],
                            validators=[DataRequired()])
